Subject: bug#44855: Blender update fails on update process

From: [email-masked]
Date: Tue, 24 Nov 2020 20:33:02 +0000

Yes, sorry. There were too much words in my terminal ;)

I freed the space emptying Trash and removing old generations of guix:

$ guix package --list-generations
...
... there were about 5 or 7 and the last generation was current

since I always use only one generation and have no any bug that pull me to turn back to previous generation,
I deleted all generations except current with this:

$ guix package --delete-generations=1d

And then called garbage collector:

$ guix gc

And now I have 57% free space in my root linux disk:

$ df -h
Filesystem      Size  Used Avail Use% Mounted on
none             12G     0   12G   0% /dev
/dev/sda2        47G   25G   20G  57% /
/dev/sda1       519M  152K  519M   1% /boot/efi
/dev/sdb1       229G  120G   97G  56% /home/bob/mydisk
tmpfs            12G   28M   12G   1% /dev/shm
none             12G   24K   12G   1% /run/systemd
none             12G     0   12G   0% /run/user
cgroup           12G     0   12G   0% /sys/fs/cgroup
none             12G     0   12G   0% /var/cache/fontconfig
tmpfs           2.4G   20K  2.4G   1% /run/user/1000

Now update is going fine..

PS: But Xfce4 Launchers will not run some Shortcuts due to they were removed from guix store but Xfce4 does not update Shortcuts after software update (due to guix features).

November 24, 2020 8:18 PM, "Leo Famulari" <[email-masked]> wrote:

> On Tue, Nov 24, 2020 at 07:51:26PM +0000, znavko--- via Bug reports for GNU Guix wrote:
> 
>> Runnins of `guix pull && guix package -u` gives blender failure:
>> 
>> ..
>> downloading from https://ci.guix.gnu.org/nar/lzip/kamwla6k7cmjh14qckqgi37vcyr242y0-pipewire-0.2.7
>> ...
>> pipewire-0.2.7 422KiB 244KiB/s 00:02 [##################] 100.0%
>> 
>> building /gnu/store/6bx1nvyd82vfnl16j5siyq9v4jb0jzpl-blender-2.83.9.drv...
>> 75%
>> [###################################################################################################
>> #################### ]builder for `/gnu/store/6bx1nvyd82vfnl16j5siyq9v4jb0jzpl-blender-2.83.9.drv'
>> failed with exit code 1
>> build of /gnu/store/6bx1nvyd82vfnl16j5siyq9v4jb0jzpl-blender-2.83.9.drv failed
>> View build log at '/var/log/guix/drvs/6b/x1nvyd82vfnl16j5siyq9v4jb0jzpl-blender-2.83.9.drv.bz2'.
> 
> The relevant message from the build log:
> 
> ------
> /gnu/store/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/bin/ranlib: ../../lib/libextern_ceres.a:
> No space left on device
> ------
> 
> You ran out of disk space.
> 
> How much space is free on the filesystem where you are building Blender?